#pragma once
#include "JObject_NetSDK.h"
NS_NETSDK_CFG_BEGIN

#define JK_OSDInfoWidget "OSDInfoWidget" 
class OSDInfoWidget : public JObject
{
public:
	JStrObj		BackColor;
	JBoolObj	EncodeBlend;
	JStrObj		FrontColor;
	JBoolObj	PreviewBlend;
	JObjArray<JIntObj>	RelativePos;

public:
	OSDInfoWidget(JObject *pParent = NULL, const char *szName = JK_OSDInfoWidget):
	JObject(pParent,szName),
	BackColor(this, "BackColor"),
	EncodeBlend(this, "EncodeBlend"),
	FrontColor(this, "FrontColor"),
	PreviewBlend(this, "PreviewBlend"),
	RelativePos(this, "RelativePos"){
	};

	~OSDInfoWidget(void){};
};

NS_NETSDK_CFG_END